VectorLinux

Please login or register.

Login with username, password and session length
Advanced search  

News:

Visit our home page for VL info. For support and documentation, visit the Vector Linux Knowledge Center or search the Knowledge Center and this Forum using the search box above.

Author Topic: [ SOLVED ] Xine not functioning???  (Read 2721 times)

Locator

  • Vectorian
  • ****
  • Posts: 778
[ SOLVED ] Xine not functioning???
« on: August 08, 2012, 12:57:11 pm »

I installed Xine onto VLOCITY 64 (or so I had assumed), then I selected it from the "Multimedia" menu - AND NOTHING WHATSOEVER HAPPENED!!!I then tried running it from terminal mode, and got the following result:

doctor:$ xine
xine: error while loading shared libraries: libavutil.so.50: cannot open shared object file: No such file or directory

I then ran xine-check and got the following result:

doctor:$ xine-check
Please be patient, this script may take a while to run...
[ good ] you're using Linux, doing specific tests
[ good ] looks like you have a /proc filesystem mounted.
[ hint ] ummm, you're running a strange kernel version.
         Your kernel says, it's version 3.2.22, but I don't know
         anything about this version. That probably means
         You should either upgrade your kernel or upgrade this script.
         press <enter> to continue...

[ good ] intel compatible processor, checking MTRR support
[ good ] you have MTRR support and there are some ranges set.
[ good ] found the player at /usr/bin/xine
[ good ] /usr/bin/xine is in your PATH
[ good ] plugin directory /usr/lib64/xine/plugins/2.1 exists.
[ good ] found unknown plugin: xineplug_flac.so
[ good ] found unknown plugin: xineplug_sputext.so
[ good ] found unknown plugin: xineplug_vdr.so
[ good ] found unknown plugin: xineplug_xiph.so
[ good ] found input plugins
[ good ] found demux plugins
[ good ] found decoder plugins
[ good ] found video_out plugins
[ good ] found audio_out plugins
[ good ] skin directory /usr/share/xine/skins exists.
[ good ] found logo in /usr/share/xine/skins
[ good ] I even found some skins.
[ good ] /dev/cdrom points to /dev/sr0
[ good ] /dev/dvd points to /dev/sr0
[ hint ] Your DVD drive seems not to be attached via ATAPI.
         This might be due to the use of an ide-scsi emulation.
         If you really have a SCSI DVD drive, your SCSI controller is likely
         to do perfect DMA, so there's no reason to worry about this.
         However, if you're using ide-scsi, there is a chance that DMA is
         disabled for the DVD drive. Moreover, I don't know how to enable
         DMA in that case, so you probably have to live with some performance
         loss. (FIXME: check for /proc/ide, provide solution)
         press <enter> to continue...

[ good ] found xvinfo: X-Video Extension version 2.2
[ good ] your Xv extension supports YV12 overlays (improves MPEG performance)
[ good ] your Xv extension supports YUY2 overlays
[ good ] Xv ports:  YV12 I420 YUY2 UYVY

is something missing, or am I doing something wrong?
« Last Edit: August 08, 2012, 09:26:20 pm by Locator »
Logged

bigpaws

  • Vectorian
  • ****
  • Posts: 1872
Re: Xine not functioning???
« Reply #1 on: August 08, 2012, 01:25:45 pm »

No need for yelling here.

How did you install xine?

Did you use a 64 bit VL repository?

Bigpaws

Logged

Locator

  • Vectorian
  • ****
  • Posts: 778
Re: Xine not functioning???
« Reply #2 on: August 08, 2012, 01:31:22 pm »

Sorry about that, and I just used the Gslapt application to install it.
Logged

bigpaws

  • Vectorian
  • ****
  • Posts: 1872
Re: Xine not functioning???
« Reply #3 on: August 08, 2012, 01:43:25 pm »

Do you have testing enabled?

Bigpaws
Logged

bigpaws

  • Vectorian
  • ****
  • Posts: 1872
Re: Xine not functioning???
« Reply #4 on: August 08, 2012, 01:46:26 pm »

Also please run these two tests and report back.

slapt-get --show xine-lib

slapt-get --show xine

bigpaws
Logged

MarkGrieveson

  • Vectorian
  • ****
  • Posts: 531
Re: Xine not functioning???
« Reply #5 on: August 08, 2012, 02:35:42 pm »

Hello.  I have the same issue with xine.  I am running VL-70 stable 32-bit.

Code: [Select]
vector:/~
mark:$ xine
xine: error while loading shared libraries: libavutil.so.50: cannot open shared object file: No such file or directory
vector:/~
mark:$


vector://home/mark
root:# slapt-get --show xine-lib
Package Name: xine-lib
Package Mirror: http://vectorlinux.osuosl.org/veclinux-7.0/extra/
Package Priority: Default
Package Location: ./l
Package Version: 1.2.1-i586-2vl70
Package Size: 2356 K
Package Installed Size: 6010 K
Package Required:   GConf >= 2.32.4,ORBit2 >= 2.14.19,SDL >= 1.2.14,a52dec >= 0.7.4,aalib >= 1.4.0,alsa-lib >= 1.0.24.1,attr >= 2.4.45,audiofile >= 0.2.7,bzip2 >= 1.0.6,cairo >= 1.10.2,cxxlibs >= 6.0.14 | gcc-g++ >= 4.5.2,cyrus-sasl >= 2.1.23,dbus >= 1.4.6,dbus-glib >= 0.92,directfb >= 1.4.3,djbfft >= 0.76,djvulibre >= 3.5.24,esound >= 0.2.41,expat >= 2.0.1,faac >= 1.28,faad2 >= 2.7,ffmpeg >= 0.6,fftw >= 3.2.2,flac >= 1.2.1,fontconfig >= 2.8.0,freetype >= 2.4.4,gcc >= 4.5.2,gdbm >= 1.8.3,gdk-pixbuf2 >= 2.23.3,glib2 >= 2.28.7,glibc-solibs >= 2.13,gnome-vfs >= 2.24.4,gpm >= 1.20.1,gsm >= 1.0.13,hal >= 0.5.14 | samba >= 3.5.10 | udisks >= 1.0.3 | util-linux >= 2.19,ilmbase >= 1.0.2,imagemagick >= 6.6.6_10,jasper >= 1.900.1,json-c >= 0.9,lame >= 3.98.4,lcms >= 1.19,libICE >= 1.0.7,libSM >= 1.2.0,libX11 >= 1.4.3,libXau >= 1.0.6,libXdamage >= 1.1.3,libXdmcp >= 1.1.0,libXext >= 1.2.0,libXfixes >= 5.0,libXi >= 1.4.2,libXinerama >= 1.1.1,libXrandr >= 1.3.1,libXrender >= 0.9.6,libXt >= 1.1.1,libXtst >= 1.2.0,libXv >= 1.0.6,libXvMC >= 1.0.6,libXxf86vm >= 1.1.1,libcaca >= 0.99.beta16,libcap >= 2.20,libcdio >= 0.82,libdca >= 0.0.5,libdrm >= 2.4.26,libjpeg >= 8a,libmad >= 0.15.1b,libmng >= 1.0.10,libogg >= 1.2.2,libpng >= 1.4.8,librsvg >= 2.32.0,libsndfile >= 1.0.21,libtheora >= 1.1.1,libtiff >= 3.9.4,libtool >= 2.4,libv4l >= 0.6.4 | v4l-utils >= 0.8.3,libvorbis >= 1.3.2,libvpx >= 0.9.1,libwmf >= 0.2.8.4,libxcb >= 1.7,libxdg-basedir >= 1.0.2,libxml2 >= 2.7.8,mesa >= 7.10.2,musepack >= r435,ncurses >= 5.9,opencore-amr >= 0.1.2,openexr >= 1.7.0,openjpeg >= 1.3,openldap-client >= 2.4.23,openssl >= 0.9.8r | openssl-solibs >= 0.9.8r,orc >= 0.4.3,pango >= 1.28.4,pixman >= 0.20.2,pulseaudio >= 1.1,samba >= 3.5.10,schroedinger >= 1.0.9,slang >= 2.2.3,svgalib >= 1.9.25,util-linux >= 2.19,vcdimager >= 0.7.24,x264 >= 20110116,xvidcore >= 1.2.2,xz >= 5.0.2,zlib >= 1.2.5
Package Conflicts:   
Package Suggests:   
Package MD5 Sum:  53a0102660533b84477fc94d34814a76
Package Description:
 xine-lib (A multimedia playback engine)

 
 
 
 


 License: GPL
 Authors:
 Website:
Package Installed: yes
vector://home/mark
root:#

vector://home/mark
root:# slapt-get --show xine
No such package: xine
vector://home/mark
root:#

vector://home/mark
root:# slapt-get --show xine-ui
Package Name: xine-ui
Package Mirror: http://vectorlinux.osuosl.org/veclinux-7.0/extra/
Package Priority: Default
Package Location: ./xap
Package Version: 0.99.7-i586-3vl70
Package Size: 1224 K
Package Installed Size: 2900 K
Package Required:   aalib >= 1.4.0,curl >= 7.21.4,cyrus-sasl >= 2.1.23,expat >= 2.0.1,ffmpeg >= 0.6,fontconfig >= 2.8.0,freetype >= 2.4.4,glibc-solibs >= 2.13,gpm >= 1.20.1,libX11 >= 1.4.3,libXScrnSaver >= 1.2.1,libXau >= 1.0.6,libXdmcp >= 1.1.0,libXext >= 1.2.0,libXft >= 2.2.0,libXi >= 1.4.2,libXinerama >= 1.1.1,libXrender >= 0.9.6,libXtst >= 1.2.0,libXv >= 1.0.6,libXxf86vm >= 1.1.1,libcaca >= 0.99.beta16,libidn >= 1.19,libjpeg >= 8a,libpng >= 1.4.8,libxcb >= 1.7,libxdg-basedir >= 1.0.2,ncurses >= 5.9,openldap-client >= 2.4.23,openssl >= 0.9.8r | openssl-solibs >= 0.9.8r,readline >= 6.1.002,slang >= 2.2.3,xine-lib >= 1.2.1,zlib >= 1.2.5
Package Conflicts:   
Package Suggests:   
Package MD5 Sum:  c100019e701cc9df249e5f4e059bf1e4
Package Description:
 xine-ui (Gui for the xine-lib media playback)

 
 
 
 


 License: GPL
 Authors:
 Website:
Package Installed: yes
vector://home/mark
root:#


vector:/~
mark:$ xine-ui
bash: xine-ui: command not found
vector:/~
mark:$
Logged
I am using VL7.0 standard with XFCE

Locator

  • Vectorian
  • ****
  • Posts: 778
Re: Xine not functioning???
« Reply #6 on: August 08, 2012, 03:17:06 pm »

First of all, I don't know if I have testing enabled or not, and second of all, here are the end results of those two tests that you asked me to perform:

doctor:$ slapt-get --show xine-lib
Package Name: xine-lib
Package Mirror: http://vectorlinux.osuosl.org/VL64-7.0/extra/
Package Priority: Default
Package Location: ./l
Package Version: 1.2.1-x86_64-2vl70
Package Size: 2214 K
Package Installed Size: 5520 K
Package Required:   GConf >= 2.32.1,ORBit2 >= 2.14.19,SDL >= 1.2.14,a52dec >= 0.7.4,aalib >= 1.4.0,alsa-lib >= 1.0.24.1,attr >= 2.4.45,audiofile >= 0.2.7,avahi >= 0.6.28,bzip2 >= 1.0.6,cairo >= 1.10.2,cxxlibs >= 6.0.14 | gcc-g++ >= 4.5.2,dbus >= 1.4.6,dbus-glib >= 0.92,directfb >= 1.4.3,djbfft >= 0.76,djvulibre >= 3.5.24,esound >= 0.2.41,expat >= 2.0.1,faac >= 1.28,faad2 >= 2.7,ffmpeg >= 0.6,fftw >= 3.2.2,flac >= 1.2.1,fontconfig >= 2.8.0,freetype >= 2.4.4,gcc >= 4.5.2,gdbm >= 1.8.3,gdk-pixbuf2 >= 2.24.0,glib2 >= 2.30.2,glibc-solibs >= 2.13,gnome-vfs >= 2.24.4,gpm >= 1.20.1,gsm >= 1.0.13,hal >= 0.5.14 | udisks >= 1.0.4 | util-linux >= 2.19,ilmbase >= 1.0.2,imagemagick >= 6.6.6_10,jasper >= 1.900.1,json-c >= 0.9,lame >= 3.98.4,lcms >= 1.19,libICE >= 1.0.7,libSM >= 1.2.0,libX11 >= 1.4.3,libXau >= 1.0.6,libXdamage >= 1.1.3,libXdmcp >= 1.1.0,libXext >= 1.2.0,libXfixes >= 5.0,libXi >= 1.4.2,libXinerama >= 1.1.1,libXrandr >= 1.3.1,libXrender >= 0.9.6,libXt >= 1.1.1,libXtst >= 1.2.0,libXv >= 1.0.6,libXvMC >= 1.0.6,libXxf86vm >= 1.1.1,libcaca >= 0.99.beta16,libcap >= 2.20,libcdio >= 0.79,libdca >= 0.0.5,libdrm >= 2.4.25,libffi >= 3.0.9,libjpeg >= 8a,libmad >= 0.15.1b,libmng >= 1.0.10,libogg >= 1.2.2,libpng >= 1.4.8,librsvg >= 2.32.0,libsndfile >= 1.0.24,libtheora >= 1.1.1,libtiff >= 3.9.4,libtool >= 2.4,libv4l >= 0.6.4 | v4l-utils >= 0.8.3,libvorbis >= 1.3.2,libvpx >= 0.9.1,libwmf >= 0.2.8.4,libxcb >= 1.7,libxdg-basedir >= 1.1.1,libxml2 >= 2.7.8,mesa >= 7.10.2,musepack >= r435,ncurses >= 5.9,opencore-amr >= 0.1.2,openexr >= 1.7.0,openjpeg >= 1.3,openssl >= 0.9.8r | openssl-solibs >= 0.9.8r,orc >= 0.4.3,pango >= 1.29.1,pixman >= 0.21.6,pulseaudio >= 1.1,schroedinger >= 1.0.9,slang >= 2.2.3,svgalib >= 1.9.25,util-linux >= 2.19,vcdimager >= 0.7.24,x264 >= 20110214,xvidcore >= 1.2.2,xz >= 5.0.2,zlib >= 1.2.5
Package Conflicts:   
Package Suggests:   
Package MD5 Sum:  5d99651403f033c7e7fc107f29d2b5af
Package Description:
 xine-lib (A multimedia playback engine)

 
 
 
 


 License: GPL
 Authors:
 Website:
Package Installed: yes
vector:/~
doctor:$ slapt-get --show xine
No such package: xine
Logged

uelsk8s

  • Administrator
  • Vectorian
  • *****
  • Posts: 2504
Re: Xine not functioning???
« Reply #7 on: August 08, 2012, 04:01:05 pm »

try slapt-get --show xine-ui for the last command
Logged

uelsk8s

  • Administrator
  • Vectorian
  • *****
  • Posts: 2504
Re: Xine not functioning???
« Reply #8 on: August 08, 2012, 04:34:23 pm »

try downloading this : http://208.64.70.52/pkg/untested/veclinux-7.0/x86_64/xine-lib-1.2.1-x86_64-3vl70.txz
then use upgradepkg to upgrade it and let us know if it works for you
Logged

MarkGrieveson

  • Vectorian
  • ****
  • Posts: 531
Re: Xine not functioning???
« Reply #9 on: August 08, 2012, 04:49:27 pm »

try downloading this : http://208.64.70.52/pkg/untested/veclinux-7.0/x86_64/xine-lib-1.2.1-x86_64-3vl70.txz
then use upgradepkg to upgrade it and let us know if it works for you

Thanks, that worked for me -- though I used the xine-lib from the x86 directory, rather than the x86_64.

Code: [Select]
vector:/~
mark:$ xine
This is xine (X11 gui) - a free video player v0.99.7.
(c) 2000-2010 The xine Team.
vector:/~
mark:$
Logged
I am using VL7.0 standard with XFCE

Locator

  • Vectorian
  • ****
  • Posts: 778
Re: Xine not functioning???
« Reply #10 on: August 08, 2012, 09:28:33 pm »

try downloading this : http://208.64.70.52/pkg/untested/veclinux-7.0/x86_64/xine-lib-1.2.1-x86_64-3vl70.txz
then use upgradepkg to upgrade it and let us know if it works for you

Thank you! It's now working as it's supposed to.
Logged

uelsk8s

  • Administrator
  • Vectorian
  • *****
  • Posts: 2504
Re: [ SOLVED ] Xine not functioning???
« Reply #11 on: August 09, 2012, 09:33:21 am »

Thanks guys, both the 32 and 64bit pkgs are moved to extra now.
Logged

ronnyquest

  • Member
  • *
  • Posts: 90
    • Traveller Downport
Re: Xine not functioning???
« Reply #12 on: November 18, 2012, 11:46:22 am »

Hello.  I have the same issue with xine.  I am running VL-70 stable 32-bit.

Code: [Select]
vector:/~
I had a similar issue with the 32-bit version.  After installing the vlc package, the libs were in and all is well.
Logged
Compaq Presario 900Z (AMD Athlon MP, 1.5 GHz, 2 GB RAM, 30 GB HDD) - VL 6.0 Standard
Gateway Laptop (Celeron M 1.60 GHz, 1 GB RAM, 80 GB HDD) - VL 6.0
2 x Homebrew PCs (AMD Phenom II X4 965, 4096MB RAM, 500 GB SATA HDD, ATI Radeon HD 5700, ASUS M4A79XTD EVO) - VL 7.0-64